Bug 211320 - Incorrect thread state in Timeline
Incorrect thread state in Timeline
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.0
All All
: P2 (vote)
: 7.3
Assigned To: Tomas Hurka
issues@profiler
bugdb_13965646
: 7.2_WAIVER_APPROVED
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 11:37 UTC by Jiri Sedlacek
Modified: 2012-12-21 02:35 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2012-04-17 11:37:45 UTC
When monitoring threads using the non-sampling way, the Event Queue thread is shown as running almost all the time using JDK 7. Works fine when using JDK 6.
Comment 1 Tomas Hurka 2012-12-20 15:03:46 UTC
Fixed in profiler-main

changeset:   242817:f69ab8b68667
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Dec 20 15:32:56 2012 +0100
summary:     bugfix #211320, track Unsafe.park() the same way as Object.wait()
Comment 2 Quality Engineering 2012-12-21 02:35:28 UTC
Integrated into 'main-golden', will be available in build *201212210001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f69ab8b68667
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #211320, track Unsafe.park() the same way as Object.wait()


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo